

from PyQt4.QtCore import *
from PyQt4.QtGui import *
from qgis.core import *
from qgis.gui import *

import resources

class Plugin:

    Name = "LayerTest"
    Version="0.1"

    def __init__( self, iface ):
        self._iface = iface

    def initGui(self):
        QgsRendererV2Registry.instance().addRenderer( LayerTestMetadata() )

    def unload(self):      
        pass

    def save(self,doc):
        pe = doc.createElement("plugin")
        pe.setAttribute("name",Plugin.Name)
        pe.setAttribute("version",Plugin.Version)
        return pe


class LayerTestMetadata(QgsRendererV2AbstractMetadata):
    def __init__(self):
        QgsRendererV2AbstractMetadata.__init__(
           self, 
           "LayerTest", 
           "LayerTest",
           QIcon(QPixmap(":plugins/LayerTest/icon.png","png")))

    def createRenderer(self, element):
        sym=QgsMarkerSymbolV2([])
        vfr = QgsSingleSymbolRendererV2(sym)
        return vfr

    def createRendererWidget(self, layer, style, renderer):
        return LayerTestWidget(layer,style,renderer)
 
class LayerTestWidget( QgsRendererV2Widget ):

    def __init__( self, layer, style, renderer ):
        QgsRendererV2Widget.__init__( self, layer, style )     
        self._renderer = renderer
        layout = QVBoxLayout()
        label = QLabel( "Dummy widget for layer " + layer.name())
        layout.addWidget(label)
        self.setLayout(layout)

    def renderer( self ):
        return self._renderer



